import { Component, OnInit } from '@angular/core';
import { ModalService } from '@libs/ui';

@Component({
  selector: 'app-customer-card-search-error-modal',
  templateUrl: './customer-card-search-error-modal.component.html',
  styleUrls: ['./customer-card-search-error-modal.component.scss'],
})
export class CustomerCardSearchErrorModalComponent implements OnInit {
  id = 'customer-card-search-error-modal';
  title: string;
  message: string;

  constructor(private modalService: ModalService) {}

  ngOnInit() {}

  openDialog(title, message) {
    this.title = title;
    this.message = message;
    this.modalService.open(this.id);
  }

  closeDialog() {
    this.modalService.close(this.id);
  }
}
